models/OrderProduct.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "order_product".
 *
 * @property integer $id
 * @property integer $order_id
 * @property integer $product_id
 * @property integer $amount
 * @property double $sum
 */
class OrderProduct extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'order_product';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['order_id', 'product_id', 'amount'], 'integer'],
            [['sum'], 'number'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'order_id' => 'Номер заказа',
            'product_id' => 'Продукт',
            'amount' => 'Количество',
            'sum' => 'Сумма',
        ];
    }

    public function getProduct()
    {
        return $this->hasOne(Product::className(), ['id' => 'product_id']);
    }


    public function getProducer()
    {
        return $this->hasOne(Producer::className(), ['id' => 'producer_id']);
    }
}

controllers/OrderproductController.php
<?php
/**
 * Created by PhpStorm.
 * User: Bramnik
 * Date: 8/7/2017
 * Time: 3:47 PM
 */

namespace app\controllers;

use app\models\enums\Language;
use app\models\Product;
use app\models\PayForm;
use Yii;
use app\components\Controller;
use yii\db\ActiveQuery;
use app\models\OrderProduct;
use app\models\OrderDiscount;
use app\models\Order;
use app\models\ShopCart;
use app\models\Producer;
use app\models\Discount;
use yii\helpers\Url;

class OrderproductController extends Controller
{
    private $modelOrderProducts = [];
    private $modelOrderDiscounts = [];

    public function actionCreate($producer_id)
    {
        // как заставить контроллеры общаться мужду собой чтобы не делать одно и то же два раза
        $producerModel = Producer::findOne($producer_id);
        $userId = Yii::$app->user->id;
        $cartProductModels = ShopCart::find()
            ->joinWith([
                'product' => function (ActiveQuery $query) use ($producerModel) {
                    $query->andWhere(['product.producer_id' => $producerModel->id]);
                }], true, 'INNER JOIN')
            ->where(['shop_cart.user_id' => $userId])
            ->all();

        if (empty($cartProductModels)) {
            $this->redirect(['/order/index']);
        }

        // Create order
        $modelOrder = new Order();
        $modelOrder->user_id = $userId;
        $visitdate = new \DateTime('now', new \DateTimeZone('UTC'));
        $modelOrder->order_date = $visitdate->format('Y-m-d H:i:s');
        $modelOrder->orderstatus = 'created';
        $modelOrder->producer_id = $producer_id;
        $modelOrder->save();
        $orderId = $modelOrder->id;

        // Create order products by shop cart
        //$this->modelOrderProducts =  array();
        $totalProducts = 0;
        foreach ($cartProductModels as $modelCartProduct){
            $modelOrderProduct = new OrderProduct();
            $modelOrderProduct->order_id = $orderId;
            $modelOrderProduct->product_id = $modelCartProduct->product_id;
            $modelOrderProduct->amount = $modelCartProduct->amount;
            $modelProduct = Product::findOne($modelCartProduct->product_id);
            //считаем сумму продукта в заданном количестве пока без акций
            $modelOrderProduct->sum = $modelProduct->price * $modelCartProduct->amount;
            // сумма всех товаров в корзине без учета скидок
            $totalProducts = $totalProducts + $modelOrderProduct->sum;
            //var_dump($totalProducts);die;

            $modelOrderProduct->save();
           // var_dump($modelOrderProduct);die;

            $this->modelOrderProducts[] = $modelOrderProduct;
        }

        // Get current date&time
        $visitdate = new \DateTime('now', new \DateTimeZone('UTC'));

        $totalDiscountByProd = 0;
        // Save original order products list without discounts
        $modelOrderProductsOrg = $this->modelOrderProducts;
        foreach ($modelOrderProductsOrg as $modelOrderProduct) {
            $discountModelByProd = Discount::find()->where(['discount.producer_id' => $producerModel->id, 'discount.type' => 'prod_assoc', 'discount.product_id' => $modelOrderProduct->product_id])
                ->andwhere(['>=', 'date_end', $visitdate->format('Y-m-d H:i:s')])
                ->andwhere(['<=', 'date_start', $visitdate->format('Y-m-d H:i:s')])->one();
            //var_dump($discountModelByProd); die;
            if ($discountModelByProd and ($discountModelByProd->qnt_product_gift > 0)) {
                // First of all calculate amount of gift pruduct by current product
                $giftProductAmount = intval($modelOrderProduct->amount / $discountModelByProd->min_qnt_product * $discountModelByProd->qnt_product_gift);
                if($giftProductAmount >= 1) {
                    $productGift_id = $discountModelByProd->product_gift_id;
                    $modelProduct = Product::findOne($productGift_id);
                    if($modelProduct != null) {
                        // Find product gift in current order
                        $modelOrderProductAsGift = OrderProduct::find()->where(['order_id' => $orderId, 'product_id' => $productGift_id])->one();
                        if ($modelOrderProductAsGift != null) {
                            $modelOrderProductAsGift->amount += $giftProductAmount;
                            $totalProducts -= $modelOrderProductAsGift->sum;
                            $modelOrderProductAsGift->sum = $modelProduct->price * $modelOrderProductAsGift->amount;
                            $totalProducts += $modelOrderProductAsGift->sum;
                            $modelOrderProductAsGift->update();
                        } else {
                            $giftModelOrderProduct = new OrderProduct();
                            $giftModelOrderProduct->order_id = $orderId;
                            $giftModelOrderProduct->product_id = $productGift_id;
                            $giftModelOrderProduct->amount = $giftProductAmount;
                            $giftModelOrderProduct->sum = $modelProduct->price * $giftProductAmount;
                            $totalProducts = $totalProducts + $giftModelOrderProduct->sum;
                            $giftModelOrderProduct->save();
                            $this->modelOrderProducts[] = $giftModelOrderProduct;
                        }

                        // Add discount by order
                        $orderDiscount = new OrderDiscount();
                        $orderDiscount->order_id = $orderId;
                        $orderDiscount->sum = $modelProduct->price * $giftProductAmount * $discountModelByProd->percent / 100;
                        $totalDiscountByProd = $totalDiscountByProd + $orderDiscount->sum;
                        $orderDiscount->discount_id = $discountModelByProd->id;
                        $orderDiscount->save();
                        $this->modelOrderDiscounts[] = $orderDiscount;
                    }
                }
            }
        }

        // Start order product calculation
        $totalOrder = $totalProducts - $totalDiscountByProd;

        //        $discountModels = Discount::find()->where(['discount.producer_id' => $producerModel->id, 'discount.user_id' => [null, $userId]])->all();
        //$discountModels = Discount::find()->where(['discount.producer_id' => $producerModel->id, 'discount.user_id' => null])->all();
       // $visitdate = new DateTime();
         //var_dump($visitdate);die;


 //       $discountModels = Discount::find()->where(['discount.producer_id' => $producerModel->id, 'discount.type' => 'sum_assoc'])->andFilterCompare('discount.sum', '<='.$totalProducts)->andFilterCompare('discount.date-start',$visitdate ,'betweens','discount.date.end')->all();
 //       $discountModels = Discount::find()->where(['>=', 'date_end', $visitdate->format('Y-m-d H:i:s')])->all();
        //$discountModels = Discount::find()->where(['between', $visitdate->format('Y-m-d H:i:s'), 'discount.date_start','discount.date_end'])->all();
        //$discountModels = Discount::find()->where(['>=', 'date_end', $visitdate->format('Y-m-d H:i:s')])->andwhere(['<=', 'date_start', $visitdate->format('Y-m-d H:i:s')])->all();
        $discountModelBySum = Discount::find()->where(['discount.producer_id' => $producerModel->id, 'discount.type' => 'sum_assoc'])
            ->andFilterCompare('discount.sum', '<='.$totalProducts)
            ->andwhere(['>=', 'date_end', $visitdate->format('Y-m-d H:i:s')])
            ->andwhere(['<=', 'date_start', $visitdate->format('Y-m-d H:i:s')])
            ->orderBy("sum DESC")->one();
       // var_dump($discountModel->percent);die;

        //$this->modelOrderDiscounts =  array();
        if($discountModelBySum){
            $orderDiscount = new OrderDiscount();
            $orderDiscount->order_id = $orderId;
            $orderDiscount->sum = $discountModelBySum->percent * $totalProducts/100;
            $totalOrder = $totalOrder - $orderDiscount->sum;
            $orderDiscount->discount_id = $discountModelBySum->id;
            $orderDiscount->save();
            $this->modelOrderDiscounts[] = $orderDiscount;
        }
        $discountModelByUser = Discount::find()->where(['discount.producer_id' => $producerModel->id,'discount.user_id' => $userId, 'discount.type' => 'user_assoc'])
            ->andwhere(['>=', 'date_end', $visitdate->format('Y-m-d H:i:s')])
            ->andwhere(['<=', 'date_start', $visitdate->format('Y-m-d H:i:s')])->one();
        if($discountModelByUser){
            $orderDiscount = new OrderDiscount();
            $orderDiscount->order_id = $orderId;
            $orderDiscount->sum = $discountModelByUser->percent * $totalProducts/100 ;
            $totalOrder = $totalOrder - $orderDiscount->sum;
            $orderDiscount->discount_id = $discountModelByUser->id;
            $orderDiscount->save();
            $this->modelOrderDiscounts[] = $orderDiscount;
        }
        $discountModelByFeast = Discount::find()->where(['discount.producer_id' => $producerModel->id,'discount.type' => 'feast_assoc'])
            ->andwhere(['>=', 'date_end', $visitdate->format('Y-m-d H:i:s')])
            ->andwhere(['<=', 'date_start', $visitdate->format('Y-m-d H:i:s')])->one();
        if($discountModelByFeast){
            $orderDiscount = new OrderDiscount();
            $orderDiscount->order_id = $orderId;
            $orderDiscount->sum = $discountModelByFeast->percent * $totalProducts/100    ;
            $totalOrder = $totalOrder - $orderDiscount->sum;
            $orderDiscount->discount_id = $discountModelByFeast->id;
            $orderDiscount->save();
            $this->modelOrderDiscounts[] = $orderDiscount;
        }


        $modelOrder->sum = $totalOrder;
        $modelOrder->update();


        // clean shop cart - delete all related records
        foreach ($cartProductModels as $cartProductModel) {
            $cartProductModel->delete();
        }

views/orderproduct/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\OrderProduct */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="order-product-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'order_id')->textInput() ?>

    <?= $form->field($model, 'product_id')->textInput() ?>

    <?= $form->field($model, 'amount')->textInput() ?>

    <?= $form->field($model, 'sum')->textInput() ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/orderproduct/_search.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\OrderProductSearch */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="order-product-search">

    <?php $form = ActiveForm::begin([
        'action' => ['index'],
        'method' => 'get',
    ]); ?>

    <?= $form->field($model, 'id') ?>

    <?= $form->field($model, 'order_id') ?>

    <?= $form->field($model, 'product_id') ?>

    <?= $form->field($model, 'amount') ?>

    <?= $form->field($model, 'sum') ?>

    <div class="form-group">
        <?= Html::submitButton('Search', ['class' => 'btn btn-primary']) ?>
        <?= Html::resetButton('Reset', ['class' => 'btn btn-default']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/orderproduct/create.php
<?php
use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\helpers\Url;

/**
 * @var \yii\web\View $this
 * @var \app\models\OrderProduct[] $modelOrderProducts
 * @var \app\models\Producer $producerModel
 */
$str_text_1 = t('Вернуться в корзину');
$str_text_2 = t('ОПЛАТИТЬ');
?>

<div class="row">
    <div class="col-xs-9">
        <div class="panel panel-info">
            <div class="panel-heading">
                <div class="panel-title">
                    <div class="row">
                        <div class="col-xs-6">
                            <h5><span class="glyphicon glyphicon-shopping-cart"></span> <?= $producerModel->name; ?></h5>
                        </div>
                        <div class="col-xs-6">
                            <?= Html::a('<span class="glyphicon glyphicon-share-alt"></span>' .  $str_text_1, ['cart/index', 'producer_id' => $producerModel->id], ['class' => 'btn btn-primary pull-right']) ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel-body">
                <?php $form = ActiveForm::begin(); $total = 0; ?>
                <? foreach ($modelOrderProducts as $i => $orderProduct): ?>
                    <div id="cart-<?= $orderProduct->id ?>" class="row cart-item-row">

                        <div class="col-xs-4">
                            <h4 class="product-name"><strong>
                                    <?= te($orderProduct->product,'name'); ?></strong></h4><h4></h4>
                        </div>
                        <div class="col-xs-4">
                            <h6 class="barcode-name"><strong> <?= $orderProduct->product->barcode ?></strong></h6>
                        </div>
                        <div class="col-xs-4">
                            <div class="col-xs-4 text-right">
                                <h6><strong><?= $orderProduct->product->price ?> <span class="text-muted">x</span></strong></h6>
                            </div>
                            <div class="col-xs-4 text-right">
                                <h6><strong><?= $orderProduct->amount ?> <span class="text-muted"></span></strong></h6>
                            </div>
                            <div class="col-xs-4 text-right">
                                <?php  $s = $orderProduct->amount * $orderProduct->product->price ?>
                                <h6><strong><?php $total = $total + $s;?><?=$s?> <span class="text-muted"></span></strong></h6>
                            </div>
                            <div class="col-xs-2">

                            </div>
                        </div>
                    </div>
                <? endforeach; ?>
                <div class="row">
                    <div class="text-center">
                        <div class="col-xs-9">

                        </div>
                        <div class="col-xs-3">

                        </div>
                    </div>
                </div>
                <?php ActiveForm::end(); ?>
            </div>
            <div class="row text-center">
                <div class="col-xs-12">
                    <h4 class="text-right"><?php echo t('итого до акций: ')?><strong><span class="amount-total"><?=$totalProducts ?> шек.</span></strong></h4>
                </div>
            </div>
            <div class="row">
                <?php $totalPlusDiscount = $total; ?>
                <? foreach ($modelOrderDiscounts as $i => $orderDiscount): ?>
                <div>
                    <div class="col-xs-2"  id="discount"><?=t('АКЦИЯ')?></div> <div class="col-xs-6" id="discount-name"><?=te($orderDiscount->discount,'name')?></div>
                    <div class="col-xs-1" id="discount-percent"><?=$orderDiscount->discount->percent.'%'?></div>
                    <div class="col-xs-2" id="discount-sum">-<?=$orderDiscount->sum. t(' шек.')?><?php $totalPlusDiscount = $totalPlusDiscount - $orderDiscount->sum ?></div>

                </div>
                <? endforeach; ?>
            </div>
            <div class="panel-footer">
                <div class="row text-center">
                    <div class="col-xs-9">
                        <h4 class="text-right"><?=t('ИТОГО: ')?><strong><span class="amount-total"><?=$totalOrder?><?=t(' шек.')?></span></strong></h4>
                    </div>

                    <div class ="col-xs-3">
                        <?= Html::a('<span ></span>' .  $str_text_2, ['orderproduct/pay'], ['class' => 'btn btn-success btn-block']) ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

views/orderproduct/delete.php
<?php
/**
 * Created by PhpStorm.
 * User: Bramnik
 * Date: 8/9/2017
 * Time: 1:59 PM
 */

views/orderproduct/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel app\models\OrderProductSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Order Products';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="order-product-index">

    <h1><?= Html::encode($this->title) ?></h1>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <p>
        <?= Html::a('Create Order Product', ['create'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'order_id',
            'product_id',
            'amount',
            'sum',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>

views/orderproduct/payform.php
<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
$sum = $modelPayForm->sum;

?>
    <h1><?= '№ Заказа' . ' ' . Html::encode($id) ?></h1>

<h2><?= Html::encode($modelPayForm->sum . ' ' . 'шекелей') ?></h2>


<?php
$form = \yii\bootstrap\ActiveForm::begin([
    'id' => 'login-form',
    'layout' => 'horizontal',
    'fieldConfig' => [
        'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
        'labelOptions' => ['class' => 'col-lg-1 control-label'],
    ],
]); ?>

<?// $form->field($modelPayForm, 'supplier')->textInput() ?>
<?// $form->field($modelPayForm, 'sum')->textInput() ?>
<?// $form->field($modelPayForm, 'currency')->textInput() ?>
<?= $form->field($modelPayForm, 'ccno')->textInput() ?>
<?= $form->field($modelPayForm, 'expdate')->textInput() ?>
<?= $form->field($modelPayForm, 'myid')->textInput() ?>
<?= $form->field($modelPayForm, 'mycvv')->textInput() ?>
<?// $form->field($modelPayForm, 'cred_type')->textInput() ?>
<?// $form->field($modelPayForm, 'TranzilaPW')->textInput() ?>



    <div class="form-group">
        <div class="col-lg-offset-1 col-lg-11">
            <button type="submit" class="btn btn-primary" ><?=t('Оплатить'); ?></button>
            <?= Html::a(' Оплатитьь', ['orderproduct/payform','modelPayForm'=>$modelPayForm, 'id' => $id , 'sum' => $sum], ['class' => 'btn btn-success btn-block']) ?>
        </div>
    </div>

<?php \yii\bootstrap\ActiveForm::end(); ?>

views/orderproduct/view.php
<?php

use yii\helpers\Html;

use yii\bootstrap\ActiveForm;


/* @var $this yii\web\View */
/* @var \app\models\OrderProduct[] $modelOrderProducts*/

//$this->title = $model->id;

$this->params['breadcrumbs'][] = $this->title;
$srt_ord_num = t('Заказ №');
$str_from = t('от');
$text = t(' Фирма-производитель');
$text_2 = t('числа. ');
$str_cansel = t('ОТМЕНИТЬ');
$str_send = t('ОТПРАВИТЬ');
$str_repeat = t('СОЗДАТЬ ТАКОЙ ЖЕ ЗАКАЗ В НОВОЙ КОРЗИНЕ');
$str_shek = t('шек.');
?>
<div class="order-product-view">

    <h1><?= Html::encode($this->title) ?></h1>



    <?php if("he-IL" !=  Yii::$app->language) { ?>

        <P>Заказ № <?=$model->id; ?> от <?=$model->order_date ?> числа. Фирма-производитель "<?=$model->producer->name;?>"</P>
       <?php  $form = ActiveForm::begin(); $total = 0; ?>

    <? foreach ($modelOrderProducts as $i => $orderProduct): ?>
        <div id="cart-<?= $orderProduct->id ?>" class="row cart-item-row">

            <div class="col-sm-4">
                <h4  class="product-name"><strong>
                        <?= te($orderProduct->product,'name') ?></strong></h4><h4></h4>
            </div>
            <div class="col-sm-4">
                <h6 class="barcode-name"><strong> <?= $orderProduct->product->barcode ?></strong></h6>
            </div>
            <div class="col-sm-4">
                <div class="col-sm-4 text-right">
                    <h6><strong><?= $orderProduct->product->price ?> <span class="text-muted">x</span></strong></h6>
                </div>
                <div class="col-sm-4 text-right">
                    <h6><strong><?= $orderProduct->amount ?> <span class="text-muted"></span></strong></h6>
                </div>
                <div class="col-sm-4 text-right">
                    <?php  $s = $orderProduct->amount * $orderProduct->product->price ?>
                    <h6><strong><?php $total = $total + $s;?><?=$s?> <span class="text-muted"></span></strong></h6>
                </div>
                <div class="col-sm-2">

                </div>
            </div>
        </div>
    <? endforeach; ?>
    <div class="row">
        <div class="text-center">
            <div class="col-xs-9">

            </div>
            <div class="col-xs-3">

            </div>
        </div>
    </div>
    <?php ActiveForm::end(); } else { ?>
        <P style="text-align: right"> <span><?='   ' .    $text_2 . $model->order_date . '. ' ;?> </span> <span><?=  $srt_ord_num .  $model->id  ?>
            </span><span> <?='. ' .  $model->producer->name  ;?></span><span><?='   '. $text . ' '; ?></span></P>
 <?php   $form = ActiveForm::begin(); $total = 0; ?>
        <? foreach ($modelOrderProducts as $i => $orderProduct): ?>
            <div id="cart-<?= $orderProduct->id ?>" class="row cart-item-row">
                <div class="col-xs-4">
                    <div class="col-xs-4 text-right">
                        <?php  $s = $orderProduct->amount * $orderProduct->product->price ?>
                        <h6><strong><?php $total = $total + $s;?><?=$s?> <span class="text-muted"></span></strong></h6>
                    </div>


                    <div class="col-xs-4 text-right">
                        <h6><strong><?= $orderProduct->amount ?> <span class="text-muted"></span></strong></h6>
                    </div>

                    <div class="col-xs-4 text-right">
                        <h6><strong><span class="text-muted">x </span><?= $orderProduct->product->price ?></strong></h6>
                    </div>

                    <div class="col-xs-2">

                    </div>
                </div>
                <div class="col-xs-4">
                    <h6 class="barcode-name"style="text-align: right" ><strong> <?= $orderProduct->product->barcode ?></strong></h6>
                </div>
                <div class="col-xs-4"style="text-align: right">
                    <h4 class="product-name"><strong>
                            <?= te($orderProduct->product,'name') ?></strong></h4><h4></h4>
                </div>


            </div>
        <? endforeach; ?>
        <div class="row">
            <div class="text-center">
                <div class="col-xs-9">

                </div>
                <div class="col-xs-3">

                </div>
            </div>
        </div>
        <?php ActiveForm::end(); }?>
</div>

<div class="row text-center">
    <div class="col-xs-12">
        <h4 class="text-right"><?=t('итого до акций: ')?><strong><span class="amount-total"><?php if($totalProducts == 0){$totalProducts = $model->sum;};?><?=$totalProducts?><?=t( 'шек.')?></span></strong></h4>
    </div>
</div>

<div class="row">
    <?php $totalPlusDiscount = $total; ?>
    <?php if("he-IL" !=  Yii::$app->language) { ?>
    <? foreach ($modelOrderDiscounts as $i => $orderDiscount): ?>
        <div >
            <div class="col-xs-2"  id="discount"><?= t('АКЦИЯ')?></div>
            <div class="col-xs-6" id="discount-name"><?=te($orderDiscount->discount,'name')?></div>
            <div class="col-xs-1" id="discount-percent"><?=$orderDiscount->discount->percent.'%'?></div>
            <div class="col-xs-2" id="discount-sum">-<?=$orderDiscount->sum ?> <?= $str_shek ?><?php $totalPlusDiscount = $totalPlusDiscount - $orderDiscount->sum ?></div>

        </div>
    <? endforeach; ?>
    <?php } else {?>
    <? foreach ($modelOrderDiscounts as $i => $orderDiscount): ?>
        <div >
            <div class="col-xs-2" id="discount-sum" style="text-align: right">-<?=$orderDiscount->sum ?> <?= $str_shek ?><?php $totalPlusDiscount = $totalPlusDiscount - $orderDiscount->sum ?></div>
            <div class="col-xs-1" id="discount-percent" style="text-align: right"><?=$orderDiscount->discount->percent.'%'?></div>
            <div class="col-xs-6" id="discount-name" style="text-align: right" ><?=te($orderDiscount->discount,'name')?></div>
            <div class="col-xs-2"  id="discount" style="text-align: right"><?= t('АКЦИЯ')?></div>

        </div>
    <? endforeach; ?>
   <?php } ?>


    <div class="col-xs-12">
        <h4 class="text-right"><?=t('итого: ')?><strong><span class="amount-total"><?=$model->sum;?><?=t(' шек.')?></span></strong></h4>
    </div>
</div>
<? if($model->orderstatus != 'send'): ?>
<div class = "row" id ="orderproduct-buttons">
    <div class =" col-md-5">

    </div>

    <div class ="col-md-3">
        <?= Html::a('<span ></span>' .  $str_cansel, ['orderproduct/delete', 'id' => $model->id], ['class' => 'btn btn-primary btn-block']) ?>
    </div>

    <div class =" col-md-1">

    </div>
    <?php $producer_id = $model->producer->id;?>

    <div class ="col-md-3">
        <?= Html::a('<span ></span>' .  $str_send , ['orderproduct/send','id' => $model->id, 'sum' => $model->sum, 'producer_id' => $producer_id], ['class' => 'btn btn-success btn-block']) ?>
    </div>
</div>

<? endif; ?>
<? if($model->orderstatus == 'send'): ?>
    <div class ="col-md-6">
        <?= Html::a('<span ></span>' .  $str_repeat, ['/cart/repeat', 'id' => $model->id], ['class' => 'btn btn-primary btn-block']) ?>
    </div>
<? endif; ?>